Bullet Collision Detection & Physics Library: btReducedDeformableFaceRigidContactConstraint Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btReducedDeformableFaceRigidContactConstraint Class Reference

`#include <btReducedDeformableContactConstraint.h>`

Inheritance diagram for btReducedDeformableFaceRigidContactConstraint:
[legend]
Collaboration diagram for btReducedDeformableFaceRigidContactConstraint:
[legend]

## Public Member Functions
| btReducedDeformableFaceRigidContactConstraint (btReducedDeformableBody *rsb, const btSoftBody::DeformableFaceRigidContact &contact, const btContactSolverInfo &infoGlobal, btScalar dt, bool useStrainLimiting)
| btReducedDeformableFaceRigidContactConstraint ()
virtual | ~btReducedDeformableFaceRigidContactConstraint ()
virtual btVector3 | getVb () const
virtual btVector3 | getSplitVb () const
virtual btVector3 | getDv (const btSoftBody::Node *) const
const btSoftBody::DeformableFaceRigidContact * | getContact () const
virtual void | applyImpulse (const btVector3 &impulse)
Public Member Functions inherited from btReducedDeformableRigidContactConstraint
| btReducedDeformableRigidContactConstraint (btReducedDeformableBody *rsb, const btSoftBody::DeformableRigidContact &c, const btContactSolverInfo &infoGlobal, btScalar dt)
| btReducedDeformableRigidContactConstraint ()
virtual | ~btReducedDeformableRigidContactConstraint ()
void | setSolverBody (const int bodyId, btSolverBody &solver_body)
virtual void | warmStarting ()
virtual btScalar | solveConstraint (const btContactSolverInfo &infoGlobal)
void | calculateTangentialImpulse (btScalar &deltaImpulse_tangent, btScalar &appliedImpulse, const btScalar rhs_tangent, const btScalar tangentImpulseFactorInv, const btVector3 &tangent, const btScalar lower_limit, const btScalar upper_limit, const btVector3 &deltaV_rel)
virtual void | applySplitImpulse (const btVector3 &impulse)
virtual btVector3 | getVa () const
virtual btVector3 | getDeltaVa () const =0
virtual btVector3 | getDeltaVb () const =0
Public Member Functions inherited from btDeformableRigidContactConstraint
| btDeformableRigidContactConstraint (const btSoftBody::DeformableRigidContact &c, const btContactSolverInfo &infoGlobal)
| btDeformableRigidContactConstraint (const btDeformableRigidContactConstraint &other)
| btDeformableRigidContactConstraint ()
virtual | ~btDeformableRigidContactConstraint ()
virtual btVector3 | getSplitVa () const
virtual void | setPenetrationScale (btScalar scale)
btScalar | solveSplitImpulse (const btContactSolverInfo &infoGlobal)
Public Member Functions inherited from btDeformableContactConstraint
| btDeformableContactConstraint (const btVector3 &normal, const btContactSolverInfo &infoGlobal)
| btDeformableContactConstraint (bool isStatic, const btVector3 &normal, const btContactSolverInfo &infoGlobal)
| btDeformableContactConstraint ()
| btDeformableContactConstraint (const btDeformableContactConstraint &other)
virtual | ~btDeformableContactConstraint ()

## Public Attributes
btSoftBody::Face * | m_face
bool | m_useStrainLimiting
Public Attributes inherited from btReducedDeformableRigidContactConstraint
bool | m_collideStatic
bool | m_collideMultibody
int | m_nodeQueryIndex
int | m_solverBodyId
btReducedDeformableBody * | m_rsb
btSolverBody * | m_solverBody
btScalar | m_dt
btScalar | m_appliedNormalImpulse
btScalar | m_appliedTangentImpulse
btScalar | m_appliedTangentImpulse2
btScalar | m_normalImpulseFactor
btScalar | m_tangentImpulseFactor
btScalar | m_tangentImpulseFactor2
btScalar | m_tangentImpulseFactorInv
btScalar | m_tangentImpulseFactorInv2
btScalar | m_rhs
btScalar | m_rhs_tangent
btScalar | m_rhs_tangent2
btScalar | m_cfm
btScalar | m_cfm_friction
btScalar | m_erp
btScalar | m_erp_friction
btScalar | m_friction
btVector3 | m_contactNormalA
btVector3 | m_contactNormalB
btVector3 | m_contactTangent
btVector3 | m_contactTangent2
btVector3 | m_relPosA
btVector3 | m_relPosB
btMatrix3x3 | m_impulseFactor
btVector3 | m_bufferVelocityA
btVector3 | m_bufferVelocityB
btVector3 | m_linearComponentNormal
btVector3 | m_angularComponentNormal
btVector3 | m_linearComponentTangent
btVector3 | m_angularComponentTangent
Public Attributes inherited from btDeformableRigidContactConstraint
btVector3 | m_total_normal_dv
btVector3 | m_total_tangent_dv
btScalar | m_penetration
btScalar | m_total_split_impulse
bool | m_binding
const btSoftBody::DeformableRigidContact * | m_contact
Public Attributes inherited from btDeformableContactConstraint
bool | m_static
const btContactSolverInfo * | m_infoGlobal
btVector3 | m_normal

## Detailed Description

Definition at line 162 of file btReducedDeformableContactConstraint.h.

## Constructor & Destructor Documentation

## ◆ btReducedDeformableFaceRigidContactConstraint() [1/2]

btReducedDeformableFaceRigidContactConstraint::btReducedDeformableFaceRigidContactConstraint | ( | btReducedDeformableBody * | rsb,
|  | const btSoftBody::DeformableFaceRigidContact & | contact,
|  | const btContactSolverInfo & | infoGlobal,
|  | btScalar | dt,
|  | bool | useStrainLimiting )

Definition at line 537 of file btReducedDeformableContactConstraint.cpp.

## ◆ btReducedDeformableFaceRigidContactConstraint() [2/2]

btReducedDeformableFaceRigidContactConstraint::btReducedDeformableFaceRigidContactConstraint | ( |  | ) |
| inline

Definition at line 174 of file btReducedDeformableContactConstraint.h.

## ◆ ~btReducedDeformableFaceRigidContactConstraint()

virtual btReducedDeformableFaceRigidContactConstraint::~btReducedDeformableFaceRigidContactConstraint | ( |  | ) |
| inlinevirtual

Definition at line 175 of file btReducedDeformableContactConstraint.h.

## Member Function Documentation

## ◆ applyImpulse()

void btReducedDeformableFaceRigidContactConstraint::applyImpulse | ( | const btVector3 & | impulse | ) |
| virtual

Reimplemented from btReducedDeformableRigidContactConstraint.

Definition at line 576 of file btReducedDeformableContactConstraint.cpp.

## ◆ getContact()

const btSoftBody::DeformableFaceRigidContact * btReducedDeformableFaceRigidContactConstraint::getContact | ( |  | ) | const
| inline

Definition at line 187 of file btReducedDeformableContactConstraint.h.

## ◆ getDv()

btVector3 btReducedDeformableFaceRigidContactConstraint::getDv | ( | const btSoftBody::Node * | node | ) | const
| virtual

Implements btDeformableContactConstraint.

Definition at line 560 of file btReducedDeformableContactConstraint.cpp.

## ◆ getSplitVb()

btVector3 btReducedDeformableFaceRigidContactConstraint::getSplitVb | ( |  | ) | const
| virtual

Implements btDeformableRigidContactConstraint.

Definition at line 553 of file btReducedDeformableContactConstraint.cpp.

## ◆ getVb()

btVector3 btReducedDeformableFaceRigidContactConstraint::getVb | ( |  | ) | const
| virtual

Implements btDeformableContactConstraint.

Definition at line 546 of file btReducedDeformableContactConstraint.cpp.

## Member Data Documentation

## ◆ m_face

btSoftBody::Face* btReducedDeformableFaceRigidContactConstraint::m_face

Definition at line 165 of file btReducedDeformableContactConstraint.h.

## ◆ m_useStrainLimiting

bool btReducedDeformableFaceRigidContactConstraint::m_useStrainLimiting

Definition at line 166 of file btReducedDeformableContactConstraint.h.

The documentation for this class was generated from the following files:

- btReducedDeformableContactConstraint.h
- btReducedDeformableContactConstraint.cpp